Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class RevokeCertificateContract

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.Contract
          be.fgov.ehealth.technicalconnector.ra.domain.RevokeCertificateContract

All Implemented Interfaces:
  Serializable

    public class RevokeCertificateContract

extends Contract

Contract describing the revoke contract.

See Also:
  Serialized Form

Constructor Summary
`RevokeCertificateContract(X509Certificate cert, RevocationReason reason, Language lang)`
`RevokeCertificateContract(X509Certificate cert, RevocationReason reason, String reasonDetail, Language lang)`

Method Summary
`X509Certificate` | `getX509Certificate()`

Methods inherited from class be.fgov.ehealth.technicalconnector.ra.domain.Contract
`getContract, getRequestor, isContractViewed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeCertificateContract

    public RevokeCertificateContract(X509Certificate cert,
                                     RevocationReason reason,
                                     Language lang)
                              throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

### RevokeCertificateContract

    public RevokeCertificateContract(X509Certificate cert,
                                     RevocationReason reason,
                                     String reasonDetail,
                                     Language lang)
                              throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

Method Detail

### getX509Certificate

    public X509Certificate getX509Certificate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.